Bug 988058 - The last character of an error message is truncated
The last character of an error message is truncated
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-sdk-java (Show other bugs)
unspecified
Unspecified Unspecified
low Severity unspecified
: ---
: 3.3
Assigned To: Ori Liel
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 11:48 EDT by Moti Asayag
Modified: 2013-09-23 03:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 03:36:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17464 None None None Never

  None (edit)
Description Moti Asayag 2013-07-24 11:48:33 EDT
Description of problem:

The last character of the error message (the line started with "detail:") is being truncated.

Exception in thread "main" 
code  : 400
reason: Bad Request
detail: var  type  cluster, var  action  create, action type failed cpu not foun

Or:

Exception in thread "main" 
code  : 400
reason: Bad Request
detail: vds group cpu type cannot be nul
Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Add Cluster to a DC without Cpu.

Actual results:
The message appeared trimmed.

Expected results:
The entire message should be logged.
Comment 1 Michael Pasternak 2013-07-25 03:14:46 EDT
sdk doesn't have any error manipulations, so it must be at the api.
Comment 2 Itamar Heim 2013-08-21 12:43:31 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 3 Itamar Heim 2013-09-23 03:36:43 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.